Page MenuHomePhabricator

Move the www.wikipedia.org portal to Git/Gerrit
Closed, DuplicatePublic

Description

The scope of this task is to create a gerrit repository that one could build the portal from if so desired.
Per discussion in https://phabricator.wikimedia.org/T110070, it was decided to create a portals repository that will (in a longer term) host all the portals.

WMF Discovery will only own the Wikipedia.org portal.

Event Timeline

JGirault raised the priority of this task from to Needs Triage.
JGirault updated the task description. (Show Details)
JGirault added a project: Discovery.
JGirault added a subscriber: JGirault.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2015, 11:35 PM

How is this task different from T110070?

In T115927, @Aklapper was worried about fracturing the discussion. This task seems to make the problem worse.

Nemo_bis added a subscriber: Nemo_bis.

How is this task different from T110070?
In T115927, @Aklapper was worried about fracturing the discussion. This task seems to make the problem worse.

Yeah, merged back. (Sorry for the tab failure.)

Well, I can see how this task is a separate actionable step (creating a repository), but I'd really expect T110070 not to be in an open state anymore (means: investigation finished and potential followup items identified) before this very task takes place.

Also, the actual repository creation request should be filed on https://www.mediawiki.org/wiki/Git/New_repositories/Requests

Aklapper added a subscriber: Qgil.Oct 20 2015, 11:20 AM

The scope of this task is to create a gerrit repository that one could build the portal from if so desired.

https://www.mediawiki.org/wiki/Git/New_repositories/Requests states that "wikimedia/portals" was created a month ago already.

@JGirault: Maybe this task welcomes rephrasing / clarification to avoid misunderstandings (plus defining the status of T110070 itself first)? Is this task about moving the actual content into that existing Git/Gerrit repository (though it looks like that has happened)?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 8:34 PM